<template lang="pug">
.login
  form.controls(@submit.prevent="login")
    input(type="username" placeholder="Username" v-model="username" @click="resetForm")
    br
    input(type="password" placeholder="Password" v-model="password")
    br
    input(type="submit" v-bind:value="loginBtnText" v-bind:class="error")
</template>

<script>
export default {
  name: 'Login',
  data () {
    return {
      username: '',
      password: '',
      loginBtnText: 'Login',
      error: ''
    }
  },
  methods: {
    login () {
      let creds = {
        username: this.username,
        password: this.password
      }
      this.$http.post('http://api.motivated.tech/token', creds)
        .then((res) => {
          this.$store.commit('setToken', res.data.token)
          this.$store.commit('setUser', res.data.user)
          // console.log(this.$store.state.user.groups[0].groupId)
          this.$store.commit('setGroup', this.$store.state.user.groups[0].groupId)
          this.$socket.open()
          this.$socket.emit('login', this.$store.state.user)
          this.$router.push('/')
        })
        .catch(() => {
          this.loginBtnText = 'Error'
          this.error = 'error'
        })
    },

    resetForm () {
      this.loginBtnText = 'Login'
      this.username = ''
      this.password = ''
      this.error = ''
    }
  }
}
</script>
